<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Invoice PDF Downloader 💾</title>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://code.jquery.com/jquery-3.7.1.min.js"
      integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo="
      crossorigin="anonymous"
    ></script>
    <script src="papaparse.min.js"></script>
  </head>
  <body>
    <header></header>
    <main>
      <div class="container">
        <h1>Invoice PDF Downloader 💾</h1>
        <div class="alert alert-info" role="alert">
          Make sure you are connected to VPN to get pdf data. 🔗
        </div>
        <br />
        <p>Step 1: Open Postman and get pdf data using following endpoint ✉️:</p>
        <div class="alert alert-info" role="alert">
          Step 1 must be done manually because of CORS error. 😟
        </div>
        <pre>
          POST: https://invoices.prd.vcs.cimpress.io/v1/sap-download-invoice
          JSON Body Sample:
          {
            "PartnerId": "DesignCrowd-621b9abf-8a67-4eae-a5bf-7f3c22324c3b",
            "InvoiceIds": [
              0215754276,0215754282,0215753871,0215754284
            ]
          }
        </pre>
        <!-- <p>PartnerId: <input id="input-partnerid" type="text" class="form-control" /></p>
        <p>Invoice Ids: <input id="input-invoiceids" type="text" class="form-control" /></p> -->
        <p>
          Step 2: Copy paste the response and click on download:
          <textarea id="input-resp" class="form-control"></textarea>
        </p>
        <p>
          <button id="btn-download" class="btn btn-primary">Download ⬇️</button>
        </p>
        <hr />
        <!-- <p>Output:</p>
        <pre id="output"></pre>
        <hr />
        <div id="config-container" style="display: none"></div> -->
      </div>
    </main>
    <footer></footer>
    <script src="main.js"></script>
  </body>
</html>
